# Uses of Class
java.awt.Menu

Packages that use Menu
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of Menu in java.awt

Subclasses of Menu in java.awt
Modifier and Type
Class
Description
`class`
`PopupMenu`
A class that implements a menu which can be dynamically popped up at a specified position within a component.
Methods in java.awt that return Menu
Modifier and Type
Method
Description
`Menu`
MenuBar.`add​(Menu m)`
Adds the specified menu to the menu bar.
`Menu`
MenuBar.`getHelpMenu()`
Gets the help menu on the menu bar.
`Menu`
MenuBar.`getMenu​(int i)`
Gets the specified menu.
Methods in java.awt with parameters of type Menu
Modifier and Type
Method
Description
`Menu`
MenuBar.`add​(Menu m)`
Adds the specified menu to the menu bar.
`void`
MenuBar.`setHelpMenu​(Menu m)`
Sets the specified menu to be this menu bar's help menu.